cabal-install-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.NixStyleOptions

Description

Command line options for nix-style / v2 commands.

The commands take a lot of the same options, which affect how install plan is constructed.

# Documentation

data NixStyleFlags a #

Constructors

NixStyleFlags |
Fields configFlags :: ConfigFlags configExFlags :: ConfigExFlags installFlags :: InstallFlags haddockFlags :: HaddockFlags testFlags :: TestFlags benchmarkFlags :: BenchmarkFlags projectFlags :: ProjectFlags extraFlags :: a

nixStyleOptions :: (ShowOrParseArgs -> [OptionField a]) -> ShowOrParseArgs -> [OptionField (NixStyleFlags a)] #

defaultNixStyleFlags :: a -> NixStyleFlags a #